unit Grafika;
Interface
uses
 graph;
const
 Bialy        = white;
 Czarny       = black;
 Zolty        = yellow;
 Czerwony     = red;
 Zielony      = green;
 Niebieski    = blue;
 Brazowy      = brown;
 Rozowy       = lightred;
 Blekitny     = lightblue;
 JasnoZielony = lightgreen;
 Szary        = 8;
 Jasnoszary   = 7;
 Purpurowy    = 5;
 Fioletowy    = lightmagenta;
procedure WlaczGrafike;
procedure WlaczGrafikeB(Sciezka:string);
procedure WlaczGrafikeC(Sciezka:string;D,T:integer);
procedure WylaczGrafike;
procedure Blok(x1,y1,x2,y2:word;Color:byte);
procedure Kwadrat(x1,y1,x2,y2:word;Kolor:byte);
procedure Ramka(x1,y1,x2,y2:word;Kolor1,Kolor2:byte);
procedure SetTextSettings(TextInfo:TextSettingsType);
Implementation
var
 driver,tryb:integer;
procedure WlaczGrafike;
 begin
  driver:=detect;
  initgraph(driver,tryb,'C:\TP\BGI');
 end;
procedure WlaczGrafikeB(Sciezka:string);
 begin
  driver:=detect;
  initgraph(driver,tryb,'C:\TP\BGI');
 end;
procedure WlaczGrafikeC(Sciezka:string;D,T:integer);
begin
 InitGraph(D,T,Sciezka);
end;
procedure WylaczGrafike;
 begin
  CloseGraph;
 end;
procedure Blok(x1,y1,x2,y2:word;Color:byte);
 var
  i:word;
  SaveColor:byte;
 begin
  SaveColor:=GetColor;
  SetColor(Color);
  for i:=y1 to y2 do
   Line(x1,i,x2,i);
  SetColor(SaveColor);
 end;
procedure Kwadrat(x1,y1,x2,y2:word;Kolor:byte);
 var
  SaveColor:byte;
 begin
  SaveColor:=GetColor;
  SetColor(Kolor);
  Rectangle(x1,y1,x2,y2);
  SetColor(SaveColor);
 end;
procedure Ramka(x1,y1,x2,y2:word;Kolor1,Kolor2:byte);
 var
  SaveColor:byte;
  Kolor:byte;
  a,b:word;
 begin
  SaveColor:=GetColor;
  for a:=0 to 7 do
   begin
    case a of
     0: Kolor:=kolor1;
     2: Kolor:=kolor1;
     7: Kolor:=kolor1;
    else
     Kolor:=Kolor2;
    end;
    Kwadrat(x1-a,y1-a,x2+a,y2+a,Kolor);
   end;
  SetColor(Kolor1);
  line(x1,y1,x1-2,y1-2);
  line(x2,y1,x2+2,y1-2);
  line(x2,y2,x2+2,y2+2);
  line(x1,y2,x1-2,y2+2);
  for a:=x1+1 to x2-1  do
   for b:=y1+1 to y2-1  do
    if (a and 1 = 1)and(b and 1=0)or(a and 1 =0)and(b and 1=1) then
     PutPixel(a,b,0);
  SetColor(SaveColor);
 end;

procedure SetTextSettings(TextInfo:TextSettingsType);
begin
 with TextInfo do
  begin
   SetTextJustify(Horiz,Vert);
   SetTextStyle(Font,Direction,CharSize);
  end;
end;
end.
