uses GRAPH,GRAFIKA,CRT,DOS,KOMUNIKAT;
{$r+,q+,s+,i+,v+}
{*******************************************************************}
{***************procedury obsugujace dane**************************}
{*******************************************************************}
const
 Szerokosc = 32;
 Wysokosc  = 22;
type
 TPole = array[1..Szerokosc,1..Wysokosc] of byte;
 Wskaznik = ^element;
 Element  = record
             WskP  : Wskaznik;
             Pole  : TPole;
             WskN  : Wskaznik;
            end;
const
 Glowa : Wskaznik = nil;
var
 PPole : Wskaznik;
procedure UtworzElement(var Pomoc:Wskaznik);
 var
  Nowy:Wskaznik;
  a,b:byte;
  Poprzedni:Wskaznik;
 begin
  Poprzedni:=Glowa;
  While Poprzedni^.WskN<> nil do
   Poprzedni:=Poprzedni^.WskN;
  new(Nowy);
  for a:=1 to Szerokosc do
   for b:=1 to Wysokosc do
    Nowy^.Pole[a,b]:=0;
  Poprzedni^.WskN^.WskP:=Nowy;
  Nowy^.WskP:=Poprzedni;
  Nowy^.WskN:=Poprzedni^.WskN;
  Poprzedni^.WskN:=Nowy;
  Pomoc:=Nowy;
 end;
procedure UtworzGlowe;
 var
  a,b:byte;
 begin
  new(Glowa);
  Glowa^.WskP:=nil;
  for a:=1 to Szerokosc do
   for b:=1 to Wysokosc do
    Glowa^.Pole[a,b]:=0;
  Glowa^.WskN:=nil;
 end;
function Odczytaj(x,y:byte;Pomoc:Wskaznik):Byte;
 begin
  Odczytaj:=Pomoc^.Pole[x,y];
 end;
procedure Wstaw(x,y,Liczba:byte;Pomoc:Wskaznik);
 begin
  Pomoc^.Pole[x,y]:=Liczba;
 end;
procedure Usun(Pomoc:Wskaznik);
 begin
  if Glowa = Pomoc then
   begin
    dispose(Glowa);
    Glowa:=Glowa^.WskN;
    Glowa^.WskN^.WskP:=nil
   end
  else
   begin
    dispose(Pomoc^.WskN);
    Pomoc^.WskN:=Pomoc^.WskN^.WskN;
    Pomoc^.WskN^.WskN^.WskP:=Pomoc;
   end;
 end;


{*******************************************************************}
{*******************************************************************}
{*******************************************************************}


const
 IloscObiektow = 24;
 Kwadrat:byte = 22;
 Nic     = 21;
 LiTel   = 23;
 OtwDrzwi= 24;
type
 TDane=array[1..246] of byte;
 TTablica=array[1..IloscObiektow] of pointer;
 TTeleporter=array[1..40] of record
                              Numer:byte;
                              WspX:byte;
                              WspY:byte;
                             end;
type
 String10=string[10];
var
 LL:integer;
 Dane:^TDane;
 Teleporter:TTeleporter;
 LiczbaT:byte;
 Tablica:TTablica;
 a:integer;
 Koniec:boolean;
 Znak:char;
 WspX,WspY:integer;
 Pomoc:Wskaznik;
 IloscPlansz:byte;
 Heap:pointer;
const
 OstatniaPlansza:Integer=1;
 Zycia:byte=5;
 Kajuta:integer=0;
 Fiolki:byte=0;
 IloscFiolek:word=0;
 Czas : word=300;
function FileExists(FileName:string):boolean;
 var
  SR:SearchRec;
 begin
  FindFirst(FileName,AnyFile,SR);
  FileExists:=(DosError = 0);
 end;
procedure Koduj(var Kod:string10);
 var
  a,b,c,d:byte;
 begin
  for a:=1 to 5 do
   begin
    b:=ord(Kod[a*2-1]);
    c:=ord(Kod[a*2]);
    b:=b div 2 +(b and 1)*128;
    inc(c,13);
    inc(b,13);
    d:=c and $03;
    c:=c and $FC + b and $03;
    b:=b and $FC + d;
    inc(c,1);
    inc(b,1);
    Kod[a*2-1]:=chr(b);
    Kod[a*2]:=chr(c);
   end;
 end;
procedure Odkoduj(var Kod:string10);
 var
  a,b,c,d:byte;
 begin
  for a:=1 to 5 do
   begin
    b:=ord(Kod[a*2-1]);
    c:=ord(Kod[a*2]);
    dec(c,1);
    dec(b,1);
    d:=c and $03;
    c:=c and $FC + b and $03;
    b:=b and $FC + d;
    dec(c,13);
    dec(b,13);
    b:=(b and $7F)*2 + (b and $80) div 128;
    Kod[a*2-1]:=chr(b);
    Kod[a*2]:=chr(c);
   end;
 end;
procedure NagrajPlansze(Nazwa:string;ZKodem:boolean;PKod:string);
 var
  Plik:file;
  a,b,c:word;
  Pomoc:Wskaznik;
  kod:string10;
 begin
  assign(Plik,'DANET\'+Nazwa+'.gra');
  rewrite(Plik,1);
  if not ZKodem then
   begin
    kod:='NIE'+chr(6)+'PiotrB';
    for a:=1 to 6 do
     kod:=kod+chr(random(255));
   end
  else
   begin
    kod:='KOD'+PKod[0]+PKod;
    for a:=1 to 6 do
     kod:=kod+chr(random(255));
   end;
  Koduj(kod);
  blockwrite(Plik,kod,11);
  Pomoc:=Glowa;
  blockwrite(Plik,IloscPlansz,2);
  for a:=1 to IloscPlansz do
   begin
    blockwrite(Plik,Pomoc^.Pole,Szerokosc*Wysokosc);
    Pomoc:=Pomoc^.WskN;
   end;
  Close(Plik);
 end;
procedure OdczytajPlansze(Nazwa:string;ZKodem:boolean);
 var
  Plik:file;
  a:word;
  Pomoc:Wskaznik;
  Kod:string10;
  Znak:char;
  Tekst:string;
  Px,Py:word;
 begin
  assign(Plik,'DANET\'+Nazwa+'.gra');
  reset(Plik,1);
  blockread(Plik,kod,11);
  Odkoduj(Kod);
  Tekst:=Kod;
  Tekst[0]:=chr(3);
  for a:=0 to 6 do
   Kod[a]:=Kod[a+4];
  if Tekst='NIE' then ZKodem:=false;
  if ZKodem and (Tekst='KOD') then
   begin
    Px:=130;Py:=0;
    SetViewPort(200,100,500,130,ClipOff);
    rectangle(0,0,300,30);
    OutTextXY(0,0,'Podaj kod:');
    Tekst:='';
    repeat
     Znak:=readkey;
     if (Znak=#8) and (ord(Tekst[0])<>0) then
      begin
       SetColor(Black);
       OutTextXY(Px-15,Py,Tekst[ord(Tekst[0])]);
       Px:=Px-15;
       SetColor(White);
       Tekst[0]:=chr(ord(Tekst[0])-1);
      end
     else
      if (Znak<>#13)and(Znak<>#8)and(ord(Tekst[0])<6) then
       begin
        SetColor(15);
        OutTextXY(Px,Py,Znak);
        Px:=Px+15;
        Tekst:=Tekst+Znak;
       end;
    until Znak=#13;
    if Tekst=Kod then ZKodem:=false;
    ClearViewPort;
    SetViewPort(0,0,639,479,ClipOff);
   end;
  if not ZKodem then
   begin
    UtworzGlowe;
    Pomoc:=Glowa;
    blockread(Plik,IloscPlansz,2);
    for a:=1 to IloscPlansz do
     begin
      blockread(Plik,Pomoc^.Pole,Szerokosc*Wysokosc);
      if a<>IloscPlansz then
       UtworzElement(Pomoc);
     end;
   end;
  Close(Plik);
 end;

procedure OdczytajDane;
 var
  Plik:file of TDane;
  a:integer;
 begin
  for a:=1 to IloscObiektow do
   GetMem(Tablica[a],246);
  assign(Plik,'Rysunki.dat');
  reset(Plik);
  for a:=1 to IloscObiektow do
   begin
    new(Dane);
    read(Plik,Dane^);
    Tablica[a]:=Dane;
   end;
 end;
function Zamien(Liczba:integer):string;
 var
  a:string;
 begin
  Str(Liczba,a);
  Zamien:=a;
 end;
procedure Ramka(X,Y,X1,Y1:byte);
 var
  a,b:integer;
 begin
  a:=X*20;
  repeat
   PutImage(a,Y*20,Tablica[1]^,NormalPut);
   PutImage(a,Y1*20,Tablica[1]^,NormalPut);
   inc(a,20);
  until a>=X1*20+20;
  a:=Y*20+20;
  repeat
   PutImage(X*20,a,Tablica[1]^,NormalPut);
   PutImage(X1*20,a,Tablica[1]^,NormalPut);
   inc(a,20);
  until a>=Y1*20;
 end;
procedure Plansza;
 begin
  rectangle(0,0,639,479);
  Ramka(8,0,31,15);
 end;
procedure Podswietl(X,Y,X1,Y1:word);
 var
  a,b:integer;
 begin
  for a:=X to X1 do
   for b:=Y to Y1 do
    if GetPixel(a,b)<>0 then PutPixel(a,b,0)
    else PutPixel(a,b,15);
 end;
procedure WyswietlKajute(Pomoc:Wskaznik);
 var
  x,y,l1:byte;
 begin
  for x:=1 to Szerokosc do
    for y:=1 to Wysokosc do
     begin
      l1:=Odczytaj(x,y,Pomoc);
      if (l1<>0)and(l1<IloscObiektow-3) then
       PutImage((x-1)*20,(y-1)*20,Tablica[l1]^,NormalPut);
     end;
 end;
procedure Wyczysc;
 begin
  SetViewPort(0,0,639,439,ClipOn);
  ClearViewPort;
    SetViewPort(0,0,639,479,ClipOn);
 end;
procedure Wyczysc2;
 var
  A,B,C,D,E:byte;
 begin
  for A:=0 to 10 do
   begin
    for B:=A to Szerokosc-A do
     begin
      PutImage(B*20,A*20,Tablica[Nic]^,NormalPut);
      delay(5);
     end;
    for C:=A to Wysokosc-1-A do
     begin
      PutImage((Szerokosc-1-A)*20,C*20,Tablica[Nic]^,NormalPut);
      delay(5);
     end;
    for D:=Szerokosc-A downto A+1 do
     begin
      PutImage(D*20,(Wysokosc-1-A)*20,Tablica[Nic]^,NormalPut);
      delay(5);
     end;
    for E:=Wysokosc-1-A downto A+1 do
     begin
      PutImage(A*20,E*20,Tablica[Nic]^,NormalPut);
      delay(5);
     end;
   end;
 end;
function Mozliwe(WspX,WspY,WspXX,WspYY:integer;Pomoc:Wskaznik;AAA:boolean):boolean;
 var
  l2:integer;
  l22:integer;
  Px,Py:integer;
  Pxx,Pyy:integer;
 begin
  Px:=(WspX-1)*20;
  Py:=(WspY-1)*20;
  Pxx:=(WspXX-1)*20;
  Pyy:=(WspYY-1)*20;
  Mozliwe:=true;

  if (WspX>0) and (WspY>0) and (WspX<Szerokosc+1) and (WspY<Wysokosc+1) then
   l2:=Odczytaj(WspX,WspY,Pomoc);
  if (WspXX>0) and (WspYY>0) and (WspXX<Szerokosc+1) and (WspYY<Wysokosc+1) then
   l22:=Odczytaj(WspXX,WspYY,Pomoc);

  if (l2=1)or((l2>15)and(l2<21)) then Mozliwe:=false;
  if l2=12 then Mozliwe:=true;
  if l2=2 then
   begin
    Mozliwe:=true;
    Wstaw(WspX,WspY,0,Pomoc);
    PutImage(Px,Py,Tablica[Nic]^,NormalPut);
    inc(Fiolki);
   end;
  if l22=15 then l22:=0;
  if (l2>2) and (l2<12) then
   if (l22=0)  then
    begin
     PutImage(Px,Py,Tablica[Nic]^,NormalPut);
     PutImage(Pxx,Pyy,Tablica[l2]^,NormalPut);
     Wstaw(WspX,WspY,0,Pomoc);
     Wstaw(WspXX,WspYY,l2,Pomoc);
    end
   else Mozliwe:=False;
 end;
procedure Wstaw2(X,Y:integer;Pomoc:Wskaznik);
 begin
  if (X>0)and(X<Szerokosc+1)and(Y>0)and(Y<Wysokosc+1) then
   if (Odczytaj(X,Y,Pomoc)<>1)and(Odczytaj(X,Y,Pomoc)<>12)and
      ((Odczytaj(X,Y,Pomoc)<16)or(Odczytaj(X,Y,Pomoc)>19)) then
    begin
     Wstaw(X,Y,0,Pomoc);
     PutImage((X-1)*20,(Y-1)*20,Tablica[Nic]^,NormalPut);
    end;
 end;
function RozpocznijGre(Pomoc:Wskaznik;AAA:boolean):byte;
 type
  TRStrzal = record
             Tak:boolean;
             WspX,WspY:byte;
             Dx,Dy:integer;
            end;
  TStrzal  = array[1..10] of TRStrzal;
  TWsp     = record
              X,Y:integer;
             end;
  TBomba   = array[1..68] of TWsp;
 var
  a,b,c:integer;
  Px,Py:integer;
  Dx,Dy:integer;  {To nie s wsprzdne!}
  Tx:integer; {Numer teleportera}
  Cx,Cy,Cz:integer; {Wsprzdne teleporteru i jego numer}
  TPomoc:boolean;
  x,y:byte;
  XX,YY:byte;
  XXX,YYY:byte;
  Funkcja:char;
  Koniec,Koniec2:boolean;
  l1,l2,l3:integer;
  Warunek1,Warunek2,Warunek3:Boolean;
  Kierunek:byte;
  abc:byte;
  STrzal:TStrzal;
  Zegar:word;
  AZegar:boolean;
  PBomba:TBomba;
  Bomba:TBomba;
  IlBomb:word;
  PIlBomb:word;
  BBomba:Boolean;
  Steruj:boolean;
  BA,BB,BC,BD:boolean;
 const
  Prawo=1;
  Lewo=2;
  Dol=3;
  Gora=4;
 begin
  abc:=0;
  Zegar:=0;
  AZegar:=false;
  IlBomb:=0;
  for Px:=1 to Szerokosc do
   for Py:=1 to Wysokosc do
    PPole^.Pole[Px,Py]:=Pomoc^.Pole[Px,Py];
  Pomoc:=PPole;
  for Px:=1 to 10 do
   Strzal[Px].Tak:=false;
  IloscFiolek:=0;
  Fiolki:=0;
  for Px:=1 to Szerokosc do {Liczy ilo fiolek}
   for Py:=1 to Wysokosc do
    begin
     l1:=Odczytaj(Px,Py,Pomoc);
     if l1=2 then inc(IloscFiolek);
    end;
  for Px:=1 to Szerokosc do  {szuka wsprzdnych ludzika}
   for Py:=1 to Wysokosc do
    begin
     l1:=Odczytaj(Px,Py,Pomoc);
     if l1=15 then
      begin
       x:=Px;
       y:=Py;
       Wstaw(Px,Py,Odczytaj(Px,Py,Pomoc) and $F0,Pomoc);
      end;
    end;
  for Px:=1 to Szerokosc do
   for Py:=1 to Wysokosc do
    begin
     l1:=Odczytaj(Px,Py,Pomoc);
     if l1=14 then
      begin
       XX:=Px;
       YY:=Py;
      end;
    end;
  for Px:=1 to Szerokosc do
   for Py:=1 to Wysokosc do
    begin
     l1:=Odczytaj(Px,Py,Pomoc);
     if l1=13 then
      begin
       XXX:=Px;
       YYY:=Py;
      end;
    end;
  LiczbaT:=0;{Liczbva teleporterw}
  for Px:=1 to Szerokosc do
   for Py:=1 to Wysokosc do
    begin
     l1:=Odczytaj(Px,Py,Pomoc);
     if l1=12 then
      begin
       inc(LiczbaT);
       Teleporter[LiczbaT].Numer:=LiczbaT;
       Teleporter[LiczbaT].WspX:=Px;
       Teleporter[LiczbaT].WspY:=Py;
      end;
    end;
  if LL=0 then
    LL:=1
  else
   Wyczysc2;
  {if Kajuta=OstatniaPlansza then
   Wyczysc
  else
   Wyczysc2;}
  WyswietlKajute(Pomoc);
  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
  Koniec:=false;
  Warunek1:=false;
  Warunek2:=false;
  Warunek3:=false;
  TPomoc:=false;
  repeat
   inc(Zegar);
   Steruj:=true;
   BA:=true;BB:=true;BC:=true;BD:=true;
   for Px:=1 to Szerokosc do
    begin
     if BA and (X+Px<Szerokosc+1) then
      begin
       if Odczytaj(X+Px,Y,Pomoc)=16 then
        begin
         Steruj:=false;
         BA:=false;
         BB:=false;
         BC:=false;
         BD:=false;
         for Py:=X+1 to X+Px-1 do
          begin
           delay(100);
           PutImage((X-1)*20,(Y-1)*20,Tablica[15]^,XorPut);
           PutImage((Py-1)*20,(Y-1)*20,Tablica[15]^,NormalPut);
           X:=Py;
          end;
        end
       else
        if Odczytaj(X+Px,Y,Pomoc)<>0 then
         BA:=false;
      end;
     if BB and (X-Px>0) then
      begin
       if Odczytaj(X-Px,Y,Pomoc)=17 then
        begin
         Steruj:=false;
         BA:=false;
         BB:=false;
         BC:=false;
         BD:=false;
         for Py:=X-1 downto X-Px+1 do
          begin
           delay(100);
           PutImage((X-1)*20,(Y-1)*20,Tablica[15]^,XorPut);
           PutImage((Py-1)*20,(Y-1)*20,Tablica[15]^,NormalPut);
           X:=Py;
          end;
        end
       else
        if Odczytaj(X-Px,Y,Pomoc)<>0 then
         BB:=false;
      end;
     if BC and (Y+Px<Wysokosc+1) then
      begin
       if Odczytaj(X,Y+Px,Pomoc)=19 then
        begin
         Steruj:=false;
         BA:=false;
         BB:=false;
         BC:=false;
         BD:=false;
         for Py:=Y+1 to Y+Px-1 do
          begin
           delay(100);
           PutImage((X-1)*20,(Y-1)*20,Tablica[15]^,XorPut);
           PutImage((X-1)*20,(Py-1)*20,Tablica[15]^,NormalPut);
           Y:=Py;
          end;
        end
       else
        if Odczytaj(X,Y+Px,Pomoc)<>0 then
         BC:=false;
      end;
     if BD and (Y-Px>0) then
      begin
       if Odczytaj(X,Y-Px,Pomoc)=18 then
        begin
         Steruj:=false;
         BA:=false;
         BB:=false;
         BC:=false;
         BD:=false;
         for Py:=Y-1 downto Y-Px+1 do
          begin
           delay(100);
           PutImage((X-1)*20,(Y-1)*20,Tablica[15]^,XorPut);
           PutImage((X-1)*20,(Py-1)*20,Tablica[15]^,NormalPut);
           Y:=Py;
          end;
        end
       else
        if Odczytaj(X,Y-Px,Pomoc)<>0 then
         BD:=false;
      end;
    end;
   for Dx:=1 to LiczbaT do
    begin
     if (Teleporter[Dx].WspX=x)and
        (Teleporter[Dx].WspY=y)
     then
      begin
       if not TPomoc then
        begin
         PutImage((x-1)*20,(y-1)*20,Tablica[Nic]^,NormalPut);
         PutImage((x-1)*20,(y-1)*20,Tablica[LiTel]^,XorPut);
         Cx:=teleporter[Dx].WspX;
         Cy:=Teleporter[Dx].Wspy;
         Cz:=Teleporter[Dx].Numer;
         TPomoc:=true;
        end
      end
     else
      if TPomoc and (Cz=Teleporter[Dx].Numer) then
       begin
        PutImage((Cx-1)*20,(Cy-1)*20,Tablica[Nic]^,NormalPut);
        PutImage((Cx-1)*20,(Cy-1)*20,Tablica[12]^,XorPut);
        TPomoc:=false;
       end
    end;
   if (zegar and 16)=0 then
    AZegar:=true;
   if ((zegar and 16)=16)and AZegar then
    begin
     AZegar:=false;
     if IlBomb>0 then
      begin
       PIlBomb:=0;
       for Px:=1 to IlBomb do
        for a:=0 to 2 do
         for b:=0 to 2 do
          if (b-1<>0)or(a-1<>0) then
           if (Bomba[Px].X+b-1>0)and(Bomba[Px].X+b-1<23)and
              (Bomba[Px].Y+a-1>0)and(Bomba[Px].Y+a-1<15) then
            if Odczytaj(Bomba[Px].X+b-1,Bomba[Px].Y+a-1,Pomoc)=10 then
             begin
              BBomba:=true;
              for c:=1 to PIlBomb do
               if (PBomba[c].X=Bomba[Px].X+b-1)and
                  (PBomba[c].Y=Bomba[Px].Y+a-1) then
                BBomba:=false;
              if BBomba then
               begin
                inc(PIlBomb);
                PBomba[PIlBomb].X:=Bomba[Px].X+b-1;
                PBomba[PIlBomb].Y:=Bomba[Px].Y+a-1;
               end;
             end;
       for Px:=1 to IlBomb do
        begin
         for a:=0 to 2 do
          for b:=0 to 2 do
           Wstaw2(Bomba[Px].X+b-1,Bomba[Px].Y+a-1,Pomoc);
         dec(IlBomb);
        end;
       Bomba:=PBomba;
       IlBomb:=PIlBomb;
      end;
     for Px:=1 to 10 do
      with Strzal[Px] do
       if Tak then
        begin
         if (WspX+Dx>0)and(WspY+Dy>0)and(WspX+Dx<23)and(WspY+Dy<15) then
          begin
           if Odczytaj(WspX+Dx,WspY+Dy,Pomoc)=10 then
            begin
             inc(IlBomb);
             Bomba[IlBomb].X:=WspX+Dx;
             Bomba[IlBomb].Y:=WspY+Dy;
             Tak:=false;
            end;
           if Odczytaj(WspX+Dx,WspY+Dy,Pomoc)=0 then
            begin
             setcolor(0);
             if (WspX<>x)or(WspY<>y) then
              rectangle((WspX-1)*20+10,(WspY-1)*20+10,
                        (WspX-1)*20+11,(WspY-1)*20+11);
             setcolor(15);
             rectangle((WspX+Dx-1)*20+10,(WspY+Dy-1)*20+10,
                       (WspX+Dx-1)*20+11,(WspY+Dy-1)*20+11);
             WspX:=WspX+Dx;
             WspY:=WspY+Dy;
             delay(20);
            end
           else
            begin
             setcolor(0);
             rectangle((WspX-1)*20+10,(WspY-1)*20+10,
                       (WspX-1)*20+11,(WspY-1)*20+11);
             setcolor(15);
             Tak:=false;
            end;
          end
         else
          begin
           setcolor(0);
           rectangle((WspX-1)*20+10,(WspY-1)*20+10,
                     (WspX-1)*20+11,(WspY-1)*20+11);
           setcolor(15);
           Tak:=false;
          end;
        end;
    end;
   if keypressed then
    begin
     Funkcja:=readkey;
     case Funkcja of
      #100:for Px:=1 to 10 do
            if Strzal[Px].Tak=false then
             with Strzal[Px] do
              begin
               Tak:=true;
               Dx:=1;Dy:=0;
               WspX:=x;WspY:=y;
               Px:=10;
              end;
      #097:for Px:=1 to 10 do
            if Strzal[Px].Tak=false then
             with Strzal[Px] do
              begin
               Tak:=true;
               Dx:=-1;Dy:=0;
               WspX:=x;WspY:=y;
               Px:=10;
              end;
      #119:for Px:=1 to 10 do
            if Strzal[Px].Tak=false then
             with Strzal[Px] do
              begin
               Tak:=true;
               Dx:=0;Dy:=-1;
               WspX:=x;WspY:=y;
               Px:=10
              end;
      #115:for Px:=1 to 10 do
            if Strzal[Px].Tak=false then
             with Strzal[Px] do
              begin
               Tak:=true;
               Dx:=0;Dy:=1;
               WspX:=x;WspY:=y;
               Px:=10;
              end;
      #32: if LiczbaT<>0 then
             begin
              for Dx:=1 to LiczbaT do
                begin
                 if (Teleporter[Dx].WspX=x)and
                    (Teleporter[Dx].WspY=y) then
                  Tx:=Dx;
                end;
                Dy:=Teleporter[Tx].Numer;
                inc(Dy);
                if Dy>LiczbaT then Dy:=1;
                PutImage((x-1)*20,(y-1)*20,Tablica[Nic]^,NormalPut);
                PutImage((x-1)*20,(y-1)*20,Tablica[12]^,XorPut);
                x:=Teleporter[Dy].WspX;
                y:=Teleporter[Dy].WspY;
                PutImage((x-1)*20,(y-1)*20,Tablica[LiTel]^,XorPut);
             end;
      #0: begin
           Funkcja:=readkey;
           case Funkcja of
            #72:if (y>1) then
                 if Mozliwe(x,y-1,x,y-2,Pomoc,AAA) and Steruj then
                 begin  { Up }
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                  y:=y-1;
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                 end;
            #75:if (x>1) then
                 if Mozliwe(x-1,y,x-2,y,Pomoc,AAA) and Steruj then
                 begin  { Left }
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                  x:=x-1;
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                 end;
            #77:if (x<Szerokosc) then
                 if Mozliwe(x+1,y,x+2,y,Pomoc,AAA) and Steruj then
                 begin  { Right }
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                  x:=x+1;
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                 end;
            #80:if (y<Wysokosc) then
                 if Mozliwe(x,y+1,x,y+2,Pomoc,AAA) and Steruj then
                 begin  { Down }
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                  y:=y+1;
                  PutImage((x-1)*20,(y-1)*20,Tablica[15]^,XorPut);
                 end;
            #79 : begin
                   Koniec:=true;
                   dec(Zycia);
                   RozpocznijGre:=2;
                   abc:=2;
                  end;
           end;
          end;
      #27 : Koniec:=true;
     end;
     Koniec2:=false;
     Warunek1:=false;
     Warunek2:=false;
     Warunek3:=false;
     for l3:=1 to 4 do
      begin
       Px:=XX;
       Py:=YY;
       Kierunek:=l3;
       Koniec2:=false;
       repeat
        if Kierunek=Prawo then
         if Px+1<=Szerokosc then
         begin
          l1:=Odczytaj(Px+1,Py,Pomoc);
          if l1 in [3,5,8] then Px:=Px+1
          else
           Koniec2:=true;
          if l1=13 then
           begin
            Koniec2:=true;
            Warunek1:=true;
           end;
          case l1 of
           3: Kierunek:=Prawo;
           5: Kierunek:=Dol;
           8: Kierunek:=Gora;
          end;
         end
         else Koniec2:=true;
        if Kierunek=Lewo then
         if Px-1>=1 then
         begin
          l1:=Odczytaj(Px-1,Py,Pomoc);
          if l1 in [3,6,7] then Px:=Px-1
          else
           Koniec2:=true;
          if l1=13 then
           begin
            Koniec2:=true;
            Warunek1:=true;
           end;
          case l1 of
           3: Kierunek:=Lewo;
           6: Kierunek:=Dol;
           7: Kierunek:=Gora;
          end;
         end
         else Koniec2:=true;
        if Kierunek=Dol then
         if Py+1<=Wysokosc then
         begin
          l1:=Odczytaj(Px,Py+1,Pomoc);
          if l1 in [4,7,8] then Py:=Py+1
          else
           Koniec2:=true;
          if l1=13 then
           begin
            Koniec2:=true;
            Warunek1:=true;
           end;
          case l1 of
           4: Kierunek:=Dol;
           7: Kierunek:=Prawo;
           8: Kierunek:=Lewo;
          end;
         end
         else Koniec2:=true;
        if Kierunek=Gora then
         if Py-1>=1 then
         begin
          l1:=Odczytaj(Px,Py-1,Pomoc);
          if l1 in [4,5,6] then Py:=Py-1
          else
           Koniec2:=true;
          if l1=13 then
           begin
            Koniec2:=true;
            Warunek1:=true;
           end;
          case l1 of
           4: Kierunek:=Gora;
           5: Kierunek:=Lewo;
           6: Kierunek:=Prawo;
          end;
         end
         else Koniec2:=true;
       until Koniec2;
      end;
    end;
   if Fiolki=IloscFiolek then Warunek2:=true;
   if (x=XXX) and (y=YYY) then warunek3:=true;
   if Warunek2 and Warunek1 then
    PutImage((XXX-1)*20,(YYY-1)*20,Tablica[OtwDrzwi]^,NormalPut)
   else
    PutImage((XXX-1)*20,(YYY-1)*20,Tablica[13]^,NormalPut);
   if Warunek1 and Warunek2 and Warunek3 then Koniec:=true;
  until Koniec;
  if abc<>2 then
   if not(Warunek1 and Warunek2 and Warunek3) then RozpocznijGre:=1
   else RozpocznijGre:=5;
 end;

procedure Edytor;
 var
  a:integer;
  l:byte;
  x,y:word;
  Znak:char;
  Znak2,Znak3:char;
  Koniec:boolean;
  PKajuta:integer;
  Pomoc:Wskaznik;
  Px,Py,Pz:word;
  NazwaPliku:string;
  KoniecD:Boolean;
  EIloscPlansz:word;
  K:byte;
 var
  GEdytor:pointer;
  Kod:string;
 begin
  GEdytor:=Glowa;
  EIloscPlansz:=ILoscPlansz;
  IloscPlansz:=1;
  UtworzGlowe;
  Pomoc:=Glowa;
  Kajuta:=1;
  SetViewPort(160,330,638,478,ClipOff);
  ClearViewPort;
  SetViewPort(1,1,150,478,ClipOff);
  ClearViewPort;
  SetViewPort(0,0,639,479,ClipOff);
  SetTextStyle(SmallFont,HorizDir,4);
  SetColor(10);
  OutTextXY(5,460,'{F1 - Nowa plansza}{F2 - Nastepna plansza}');
  OutTextXY(254,460,'{F3 - Poprzednia Plansza}{F4 - Nagraj Wszystko}');
  OutTextXY(532,460,'{F5 - Czytaj dane}');
  OutTextXY(5,440,'{F6 - Nagraj i zakoduj}{F7 - Start}');
  SetTextStyle(TriplexFont,HorizDir,3);
  SetColor(white);
  x:=0;y:=0;
  l:=1;
  rectangle(0,0,20*32-1,22*20);
  PutImage(x,y,Tablica[l]^,XorPut);
  K:=1;
  Koniec:=false;
  repeat
   Znak:=readkey;
   case Znak of
    #0 : begin
          Znak:=readkey;
          case Znak of
           #72 :if Y>0 then
                 begin
                  PutImage(x,y,Tablica[K]^,XOrPut);
                  Y:=Y-20;
                  PutImage(x,y,Tablica[K]^,XOrPut);
                 end;
           #80 :if Y<=20*20 then
                 begin
                  PutImage(x,y,Tablica[K]^,XOrPut);
                  Y:=Y+20;
                  PutImage(x,y,Tablica[K]^,XOrPut);
                 end;
           #75 :if X>0 then
                 begin
                  PutImage(x,y,Tablica[K]^,XOrPut);
                  X:=X-20;
                  PutImage(x,y,Tablica[K]^,XOrPut);
                 end;
           #77 : if X<=30*20 then
                 begin
                  PutImage(x,y,Tablica[K]^,XOrPut);
                  X:=X+20;
                  PutImage(x,y,Tablica[K]^,XOrPut);
                 end;
           #59 : begin   { F1 }
                  inc(IloscPlansz);
                  Kajuta:=IloscPlansz;
                  SetViewPort(180,20,20*31-1,20*15-1,ClipOff);
                  ClearViewPort;
                  SetViewPort(160,330,500,400,ClipOff);
                  ClearViewPort;
                  SetViewPort(0,0,639,479,ClipOff);
                  OutTextXY(160,330,'Kajuta : '+Zamien(Kajuta));
                  PutImage(x,y,Tablica[K]^,XorPut);
                  UtworzElement(Pomoc);
                 end;
           #60 :if Kajuta<IloscPlansz then
                 begin  { F2 }
                  inc(Kajuta);
                  SetViewPort(180,20,20*31-1,20*15-1,ClipOff);
                  ClearViewPort;
                  SetViewPort(160,330,500,400,ClipOff);
                  ClearViewPort;
                  SetViewPort(0,0,639,479,ClipOff);
                  OutTextXY(160,330,'Kajuta : '+Zamien(Kajuta));
                  PutImage(x,y,Tablica[K]^,XorPut);
                  Pomoc:=Pomoc^.WskN;
                  WyswietlKajute(Pomoc);
                 end;
           #61 :if Kajuta>1 then
                 begin  { F3 }
                  dec(Kajuta);
                  SetViewPort(180,20,20*31-1,20*15-1,ClipOff);
                  ClearViewPort;
                  SetViewPort(160,330,500,400,ClipOff);
                  ClearViewPort;
                  SetViewPort(0,0,639,479,ClipOff);
                  OutTextXY(160,330,'Kajuta : '+Zamien(Kajuta));
                  PutImage(x,y,Tablica[K]^,XorPut);
                  Pomoc:=Pomoc^.WskP;
                  WyswietlKajute(Pomoc);
                 end;
           #62 : begin
                     { F4 }
                  SetViewPort(180,400,630,440,ClipOff);
                  KoniecD:=False;
                  RecTangle(0,0,440,30);
                  OutTExtXY(5,0,'Podaj nazwe :');
                  Px:=170;
                  Py:=0;
                  NazwaPliku:='';
                  repeat
                   Znak2:=readkey;
                   if (Znak2=#8) and (ord(NazwaPliku[0])<>0) then
                    begin
                     SetColor(Black);
                     OutTextXY(Px-15,Py,NazwaPliku[ord(NazwaPliku[0])]);
                     Px:=Px-15;
                     SetColor(White);
                     NazwaPliku[0]:=chr(ord(NazwaPliku[0])-1);
                    end
                   else
                    if (Znak2<>#13)and(Znak2<>#8) then
                     begin
                      OutTextXY(Px,Py,Znak2);
                      Px:=Px+15;
                      NazwaPliku:=NazwaPliku+Znak2;
                     end;
                  until Znak2=#13;
                  if FileExists('DANET\'+NazwaPliku+'.gra') then
                   begin
                    SetViewPort(0,0,639,479,ClipOff);
                    Znak3:=WKomunikat(150,150,'Plik : "'+NazwaPliku+'" juz istnieje. Czy zapisac ponownie(T/N)?');
                    if Znak3='T' then KoniecD:=true;
                    SetViewPort(180,400,630,440,ClipOff);
                   end
                  else
                   KoniecD:=true;
                  ClearViewPort;
                  SetViewPort(0,0,639,479,ClipOff);
                  if KoniecD then
                   NagrajPlansze(NazwaPliku,false,'');
                  WyswietlKajute(Pomoc);
                 end;
           #63 : begin
                    { F5 }
                  SetViewPort(180,400,639,440,ClipOff);
                  RecTangle(0,0,440,30);
                  OutTExtXY(5,0,'Podaj nazwe :');
                  Px:=170;
                  Py:=0;
                  NazwaPliku:='';
                  repeat
                   Znak2:=readkey;
                   if (Znak2=#8) and (ord(NazwaPliku[0])<>0) then
                    begin
                     SetColor(Black);
                     OutTextXY(Px-15,Py,NazwaPliku[ord(NazwaPliku[0])]);
                     Px:=Px-15;
                     SetColor(White);
                     NazwaPliku[0]:=chr(ord(NazwaPliku[0])-1);
                    end
                   else
                    if (Znak2<>#13)and(Znak2<>#8) then
                     begin
                      OutTextXY(Px,Py,Znak2);
                      Px:=Px+15;
                      NazwaPliku:=NazwaPliku+Znak2;
                     end;
                  until Znak2=#13;
                  if not FileExists('DaneT\'+NazwaPliku+'.gra') then
                   begin
                    SetViewPort(0,0,639,479,ClipOff);
                    WKomunikat2(150,150,'Plik: "'+NazwaPliku+'" nie istnieje');
                    SetViewPort(180,400,630,440,ClipOff);
                   end
                  else
                   begin
                    SetViewPort(0,0,599,439,ClipOff);
                    OdczytajPlansze(NazwaPliku,True);
                    Pomoc:=Glowa;
                    Wyczysc;
                    WyswietlKajute(Pomoc);
                    Kajuta:=1;
                    x:=180;y:=20;
                    PutImage(x,y,Tablica[K]^,XORPut);
                   end;
                  SetViewPort(180,400,639,439,ClipOff);
                  clearViewPort;
                  SetViewPort(0,0,639,479,ClipOff);
                  WyswietlKajute(Pomoc);
                 end;
           #64 : begin  {F6}
                  SetViewPort(180,400,630,440,ClipOff);
                  KoniecD:=False;
                  RecTangle(0,0,440,30);
                  OutTextXY(5,0,'Podaj nazwe :');
                  Px:=170;
                  Py:=0;
                  NazwaPliku:='';
                  repeat
                   Znak2:=readkey;
                   if (Znak2=#8) and (ord(NazwaPliku[0])<>0) then
                    begin
                     SetColor(Black);
                     OutTextXY(Px-15,Py,NazwaPliku[ord(NazwaPliku[0])]);
                     Px:=Px-15;
                     SetColor(White);
                     NazwaPliku[0]:=chr(ord(NazwaPliku[0])-1);
                    end
                   else
                    if (Znak2<>#13)and(Znak2<>#8) then
                     begin
                      OutTextXY(Px,Py,Znak2);
                      Px:=Px+15;
                      NazwaPliku:=NazwaPliku+Znak2;
                     end;
                  until Znak2=#13;
                  ClearViewPort;
                  OutTextXY(5,0,'Podaj kod:');
                  Px:=170;
                  RecTangle(0,0,440,30);
                  kod[0]:=#0;
                  repeat
                   Znak2:=readkey;
                   if Znak2=#0 then Znak2:=readkey;
                   if (Znak2=#8) and (ord(Kod[0])>0) then
                    begin
                     SetColor(black);
                     OutTextXY(Px-15,Py,Kod[ord(Kod[0])]);
                     Px:=Px-15;
                     SetColor(White);
                     Kod[0]:=chr(ord(Kod[0])-1);
                    end
                   else
                    if (Znak2<>#13)and(Znak2<>#8)and(ord(Kod[0])<6) then
                     begin
                      OutTextXY(Px,Py,Znak2);
                      Px:=Px+15;
                      Kod:=Kod+Znak2;
                     end;
                  until Znak2=#13;
                  if FileExists('DANET\'+NazwaPliku+'.gra') then
                   begin
                    SetViewPort(0,0,639,479,ClipOff);
                    Znak3:=WKomunikat(150,150,'Plik : "'+NazwaPliku+'" juz istnieje. Czy zapisac ponownie(T/N)?');
                    if Znak3='T' then KoniecD:=true;
                    SetViewPort(180,400,630,440,ClipOff);
                   end
                  else
                   KoniecD:=true;
                  ClearViewPort;
                  SetViewPort(0,0,639,479,ClipOff);
                  if KoniecD then
                   NagrajPlansze(NazwaPliku,true,Kod);
                  WyswietlKajute(Pomoc);
                 end;
           #65 : begin       {F7}
                  LL:=1;
                  Px:=RozpocznijGre(Pomoc,false);
                  Wyczysc;
                  WyswietlKajute(Pomoc);
                  PutImage(x,y,Tablica[K]^,XOrPut);
                 end;
          end;
         end;
    #27 : Koniec:=true;
    #32 : if l<IloscObiektow-3 then
           begin
            PutImage(x,y,Tablica[K]^,NormalPut);
            PutImage(x,y,Tablica[K]^,XorPut);
            Px:=x div 20 + 1;
            Py:=y div 20 + 1;
            Wstaw(Px,Py,l,Pomoc);
           end
          else
           begin
            Px:=x div 20 + 1;
            Py:=y div 20 + 1;
            Wstaw(Px,Py,0,Pomoc);
            PutImage(x,y,Tablica[Nic]^,NormalPut);
            PutImage(x,y,Tablica[K]^,XOrPut);
           end;
    'a': if l<IloscObiektow-3 then
          begin
           PutImage(x,y,Tablica[K]^,XorPut);
           inc(l);
           if l=IloscObiektow-3 then K:=l+1
           else K:=l;
           PutImage(x,y,Tablica[K]^,XorPut);
          end;
    'q': if l>1 then
          begin
           PutImage(x,y,Tablica[K]^,XorPut);
           dec(l);
           K:=l;
           PutImage(x,y,Tablica[K]^,XorPut);
          end;
   end;
  until Koniec;
  for a:=1 to ILoscPlansz do
   Usun(Glowa);
  Glowa:=GEdytor;
  IloscPlansz:=EIloscPlansz;
  Kajuta:=Pkajuta;
 end;
procedure Poczatek;
 begin
  ClearDevice;
  Koniec:=false;
  SetTextStyle(TriplexFont,HorizDir,3);
  OutTextXY(20,10,'Start');
  OutTextXY(20,40,'Odczytaj');
  OutTextXY(20,70,'Kontynuuj');
  OutTextXY(20,100,'Edytor');
  OutTextXY(20,130,'Koniec');
  WspY:=10;
  Podswietl(5,WspY,150,WspX+40);
 end;
var
 PomocXXX:byte;
 Px,Py:word;
 NazwaPliku:string10;
 Znak2:char;
begin
 WlaczGrafike;
 new(PPole);
 OdczytajDane;
 Poczatek;
 IloscPlansz:=0;
 UtworzGlowe;
 Pomoc:=Glowa;
 repeat
  Znak:=readkey;
  case Znak of
   #0:begin
       Znak:=readkey;
       case Znak of
        #72:if WspY-30>0 then
             begin
              Podswietl(5,WspY,150,WspY+30);
              WspY:=WspY-30;
              Podswietl(5,WspY,150,WspY+30);
             end;
        #80:if WspY+30<=130 then
             begin
              Podswietl(5,WspY,150,WspY+30);
              WspY:=WspY+30;
              Podswietl(5,WspY,150,WspY+30);
             end;
       end;
      end;
   #27: Koniec:=true;
   #13: begin
         if WspY=10 then
          if IloscPlansz<>0 then
           begin
            Kajuta:=1;
            Zycia:=5;
            if OstatniaPlansza<>1 then
             begin
              for LL:=1 to OstatniaPlansza-1 do
               Pomoc:=Pomoc^.WskN;
              Kajuta:=OstatniaPlansza;
             end
            else
             Pomoc:=Glowa;
            Wyczysc;
            LL:=0;
            repeat
             repeat
              PomocXXX:=RozpocznijGre(Pomoc,true);
              if Zycia=0 then PomocXXX:=1;
             until (PomocXXX=1)or(PomocXXX=5);
             if (IloscPlansz=Kajuta) then
              begin
               Wyczysc;
               OutTextXY(300,200,'KONIEC');
               PomocXXX:=1;
               delay(500);
               repeat until keypressed;
              end;
             if IloscPlansz>Kajuta then
              begin
               inc(Kajuta);
               Pomoc:=Pomoc^.WskN;
               LL:=5;
               if Kajuta=LL then
                begin
                 OstatniaPlansza:=LL;
                 LL:=LL+5;
                 Inc(Zycia);
                end;
              end;
            until PomocXXX=1;
            Poczatek;
            Pomoc:=Glowa;
           end;
         if WspY=40 then
          begin
           SetViewPort(180,440,639,479,ClipOff);
           RecTangle(0,0,450,30);
           OutTExtXY(5,0,'Podaj nazwe :');
           Px:=170;
           Py:=0;
           NazwaPliku:='';
           repeat
            Znak2:=readkey;
            if (Znak2=#8) and (ord(NazwaPliku[0])<>0) then
             begin
              SetColor(Black);
              OutTextXY(Px-15,Py,NazwaPliku[ord(NazwaPliku[0])]);
              Px:=Px-15;
              SetColor(White);
              NazwaPliku[0]:=chr(ord(NazwaPliku[0])-1);
             end
            else
             if (Znak2<>#13)and(Znak2<>#8) then
              begin
               OutTextXY(Px,Py,Znak2);
               Px:=Px+15;
               NazwaPliku:=NazwaPliku+Znak2;
              end;
           until Znak2=#13;
           if not FileExists('DaneT\'+NazwaPliku+'.gra') then
            begin
             SetViewPort(0,0,639,479,ClipOff);
             WKomunikat2(150,150,'Plik: "'+NazwaPliku+'" nie istnieje');
             SetViewPort(180,440,630,450,ClipOff);
            end
           else
            begin
             OdczytajPlansze(NazwaPliku,false);
             Pomoc:=Glowa;
             Kajuta:=1;
            end;
           SetViewPort(180,440,630,478,ClipOff);
           clearViewPort;
           SetViewPort(0,0,639,479,ClipOff);
          end;
         if WspY=130 then Koniec:=true;
         if WspY=100 then
          begin
           Edytor;
           Kajuta:=1;
           Wyczysc;
           Poczatek;
           Pomoc:=Glowa;
          end;
        end;
  end;
 until koniec;
 Closegraph;
end.